javax.media.opengl

## Class GLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.media.opengl.GLException

- All Implemented Interfaces:
    Serializable

      public class GLException
      extends RuntimeException

  A generic exception for OpenGL errors used throughout the binding as a substitute for `RuntimeException`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLException()` Constructs a GLException object.
    `GLException(String message)` Constructs a GLException object with the specified detail message.
    `GLException(String message, Throwable cause)` Constructs a GLException object with the specified detail message and root cause.
    `GLException(Throwable cause)` Constructs a GLException object with the specified root cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dumpThrowable(String additionalDescr, Throwable t)` Dumps a Throwable in a decorating message including the current thread name, and stack trace.
    `static GLException` | `newGLException(Throwable t)` Constructs a GLException object with the specified root cause with a decorating message including the current thread name.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GLException

          public GLException()

      Constructs a GLException object.

    - #### GLException

          public GLException(String message)

      Constructs a GLException object with the specified detail message.

    - #### GLException

          public GLException(String message,
                     Throwable cause)

      Constructs a GLException object with the specified detail message and root cause.

    - #### GLException

          public GLException(Throwable cause)

      Constructs a GLException object with the specified root cause.

  - ### Method Detail

    - #### newGLException

          public static GLException newGLException(Throwable t)

      Constructs a GLException object with the specified root cause with a decorating message including the current thread name.
      Since:
        2.2

    - #### dumpThrowable

          public static void dumpThrowable(String additionalDescr,
                           Throwable t)

      Dumps a Throwable in a decorating message including the current thread name, and stack trace.
      Since:
        2.2

Copyright 2010 JogAmp Community.